Subject: Re: bug#25784: 25.2; mouse-1 binding in debbugs-gnu.el

From: Michael Albinus <[email-masked]>
Date: Mon, 20 Feb 2017 13:32:43 +0100

[email-masked] (Charles A. Roelli) writes:

Hi Charles,

> I realize now that this change only makes sense if mouse-2 sets point
> when clicked, as it does in Gnus.

Good catch!

> I think what follows is the correct way to do it, and it works as
> expected.

This patch works for using the mouse, but there are problems when you
enter a bug report via RET or menu <Debbugs> -> <Show Reports>.

I've applied the following patch to the repository:

--8<---------------cut here---------------start------------->8---
diff --git a/packages/debbugs/debbugs-gnu.el b/packages/debbugs/debbugs-gnu.el
index f814642..eb94679 100644
--- a/packages/debbugs/debbugs-gnu.el
+++ b/packages/debbugs/debbugs-gnu.el
@@ -1350,6 +1350,7 @@ MERGED is the list of bugs merged with this one."
 (defun debbugs-gnu-select-report ()
   "Select the report on the current line."
   (interactive)
+  (when (mouse-event-p last-input-event) (mouse-set-point last-input-event))
   ;; We open the report messages.
   (let* ((status (debbugs-gnu-current-status))
 	 (id (cdr (assq 'id status)))
@@ -1673,6 +1674,7 @@ The following commands are available:
 (defun debbugs-gnu-select-usertag ()
   "Select the user tag on the current line."
   (interactive)
+  (when (mouse-event-p last-input-event) (mouse-set-point last-input-event))
   ;; We open the bug reports.
   (let ((args (get-text-property (line-beginning-position) 'tabulated-list-id)))
     (when args (apply 'debbugs-gnu args))))
--8<---------------cut here---------------end--------------->8---

Will appear with the next debbugs version 0.15. I've not decided yet,
when to release.

Best regards, Michael.